Bug 270168 - Umbrella bug for Docker support bugfixes/enhancements
Umbrella bug for Docker support bugfixes/enhancements
Status: NEW
Product: cnd
Classification: Unclassified
Component: -- Other --
Dev
All All
: P3 (vote)
: Dev
Assigned To: ilia
issues@cnd
82patch-candidate
: UMBRELLA
Depends on: 262401 270166 269237 269768 269936 270180
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-22 13:23 UTC by ilia
Modified: 2017-04-21 02:52 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ilia 2017-03-22 13:23:51 UTC

    
Comment 1 danilasergeyev 2017-03-22 13:41:33 UTC
The problem with connecting to remote Docker was fixed in change set:
http://hg.netbeans.org/cnd-main/rev/4c4f992549bc

Passing build-time arguments was implemented in change set:
http://hg.netbeans.org/cnd-main/rev/680eedf6ad16

Mounting volumes was implemented in change sets:
http://hg.netbeans.org/cnd-main/rev/08583b83e740
http://hg.netbeans.org/cnd-main/rev/ae0fac1b4a45 (small fix)

Displaying port bindings of a running container was implemented in change set:
http://hg.netbeans.org/cnd-main/rev/c5d4ff42f7d8
Comment 2 ilia 2017-03-22 15:48:47 UTC
TODO:
[1] fix typo in docker wizard: "... docker d_e_amon"
Comment 3 ilia 2017-03-31 12:51:16 UTC
[2] On "Build Image" step automatically fill "Name" column with parsed variable names and Value column with pre-defined values in dockerfile.
Note: seems that we have only Docker Lexer. Maybe it's easier just to grep ARG from Dockerfile
Comment 4 ilia 2017-03-31 12:54:23 UTC
[3] Fix NPE:

java.lang.NullPointerException
	at org.netbeans.modules.docker.api.DockerAction.getDetail(DockerAction.java:360)
	at org.netbeans.modules.docker.ui.node.StatefulDockerContainer$2.run(StatefulDockerContainer.java:130)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)

(when building an image on a remote host)
Comment 5 ilia 2017-03-31 13:17:17 UTC
[4] (questionable) Print HTTP requests we send to docker daemon.

Situation: I receive (400:Bad request) as a response. But I don't know what was the request.
Comment 6 ilia 2017-03-31 13:20:50 UTC
[5] NPE
java.lang.NullPointerException
	at org.netbeans.modules.docker.api.DockerImage.<init>(DockerImage.java:73)
	at org.netbeans.modules.docker.api.DockerAction.getImages(DockerAction.java:168)
	at org.netbeans.modules.docker.ui.node.DockerImagesChildFactory.createKeys(DockerImagesChildFactory.java:112)
	at org.openide.nodes.AsynchChildren.run(AsynchChildren.java:215)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)


As a result we don't see an image we just created, even after refresh.
Comment 7 ilia 2017-03-31 13:26:58 UTC
[5] happens if we have an image with empty TAG
Comment 8 ilia 2017-03-31 14:50:37 UTC
[6] Run image.
Modal progress bar appears. Should use a simpler one (at least do not grey-out the IDE)
Comment 9 ilia 2017-04-07 07:24:14 UTC
[7] I can't go further than "Test Connection" because request fails with "HTTP/1.0 500 handshakefailed" (HttpUtils.readResponce:81)
Comment 10 ilia 2017-04-12 12:55:58 UTC
Partially fixed bug, safe to push partial fixes.

https://netbeans.org/bugzilla/show_bug.cgi?id=270168 Changesets:
    http://hg.netbeans.org/releases/rev/768390e906f6 # Fixing #270168 - Umbrella bug for Docker support bugfixes/enhancements.
Comment 11 ilia 2017-04-13 15:01:11 UTC
[1] is fixed by Danila
Comment 12 Quality Engineering 2017-04-14 01:54:05 UTC
Integrated into 'main-silver', will be available in build *201704140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f9ea8568b77a
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #270168 - Umbrella bug for Docker support bugfixes/enhancements.
[3] NPE (port bindings)
(transplanted from 768390e906f68d17ebe8d29d4b2ab171fa0f873d)
Comment 13 ilia 2017-04-14 10:50:33 UTC
[8] Print Run / Build command at the very first line of output
Comment 14 ilia 2017-04-15 10:57:13 UTC
[9] Introduce different sort methods for images/containers (the order of "docker images" show images is different form the order in Services node. Same for containers).
Comment 15 Quality Engineering 2017-04-16 02:39:28 UTC
Integrated into 'main-silver', will be available in build *201704160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fa490a2433a2
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #270168 - Umbrella bug for Docker support bugfixes/enhancements. [8] Print Run / Build command at the very first line of output
Comment 16 ilia 2017-04-17 08:01:39 UTC
[10] Clean-up code (auto-format, imports,...)
Comment 17 ilia 2017-04-17 09:44:31 UTC
[11] Add pause/stop button to the running container output
Comment 18 ilia 2017-04-17 09:45:25 UTC
[12] Check if attaching to the docker container opens Terminal, not output window.
Comment 19 Quality Engineering 2017-04-21 02:52:37 UTC
Integrated into 'main-silver', will be available in build *201704210002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/ea42c3f750b4
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixing #270168 - Umbrella bug for Docker support bugfixes/enhancements. [2] On "Build Image" step automatically fill "Name" column with parsed variable names and Value column with pre-defined values in dockerfile.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo